package com.gic.haoban.manage.api.dto.notify.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 待办表
 *
 * @author fdh
 */
public class PendingTaskDetailDTO implements Serializable {


    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 关联id 对应task_type
     */
    private String relationId;

    /**
     * 业务字段
     */
    private String businessId;


    /**
     * 0-不良评价回访 1-ecm话务任务 ,3群发任务  4活动
     */
    private Integer taskType;

    /**
     *
     */
    private String title;

    /**
     * 描述
     */
    private String description;

    /**
     * 逾期时间
     */
    private Date overdueTime;
    /**
     * 失效时间
     */
    private Date invalidTime;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 执行人id
     */
    private String clerkId;


    /**
     * 完成类型 0 未完成  1已完成
     */
    private Integer statusFlag;

    private Integer finishFlag;

    private Integer overdueFlag;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 月指标的时候传入
     */
    private String extendContent;


    /**
     */
    private static final long serialVersionUID = 1L;

    public Date getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getExtendContent() {
        return extendContent;
    }

    public void setExtendContent(String extendContent) {
        this.extendContent = extendContent;
    }

    public Integer getFinishFlag() {
        return finishFlag;
    }

    public void setFinishFlag(Integer finishFlag) {
        this.finishFlag = finishFlag;
    }

    public Integer getOverdueFlag() {
        return overdueFlag;
    }

    public void setOverdueFlag(Integer overdueFlag) {
        this.overdueFlag = overdueFlag;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getOverdueTime() {
        return overdueTime;
    }

    public void setOverdueTime(Date overdueTime) {
        this.overdueTime = overdueTime;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}